AOZ Studio Beta - Bug #511

Dir$ not working properly with AOZ Resource drive (or any other assigned drive in the application's
resources/filesystem folder). (only works partially)

09/20/2020 08:11 PM - Brian Flanagan

Status: Rejected Start date: 09/20/2020
Priority: Normal Due date:

Assignee: AQZ Studio Team % Done: 0%
Category: Estimated time: 8:00 hours

Target version:

Affected version: Beta RC2

Description
Example 1:

Dir$ = "AMOSPro_Examples:"
Dir

Result:
Music
What | should see:

Col.Abk
Examples
iff

Music
Objects
Pacpic.abk
Samples

Example 2:

Dir$ = "AMOSPro_Tutorial:"
Dir

Result:
Drive not found at line...
What | should see:

Extensions
Extra_Configs
iff

Iff Anim
Objects
ReTokenise.AMOS
Tutorials

History

#1 - 09/20/2020 08:12 PM - Brian Flanagan
- Estimated time set to 8:00 h

#2 - 09/21/2020 08:09 AM - Brian Flanagan

Adding Nick Morrison's information from Bug#138.
His example still fails on both Dir and Dir$.

#manifest:"amiga"
#speed:"safe"
#fullScreen:true
#splashScreen:false

//dir "AMOSPro_Examples:" // drive not found error
//dir$="AMOSPro_Examples:"// drive not found error

Load Iff "AMOSPro_Examples:iff/Logo.iff", 0 // obviously works fine
wait key

#3 - 09/27/2020 03:48 PM - Francois Lionet

- Status changed from New to Rejected

This is not a bug. To make the automatic insersion of fiels from the AOZ Resource drive, | scan for a STRING containing the full pathname of the file
to include in every Load instruction.

Here, if you set the directory before with "Dir$", | cannot! As the path is detected at compilation time only.

If you wanted that to work, | would have each time to include the WHOLE content of the AOZ Resource folder, and that would be impossible.

#4 - 09/28/2020 07:14 AM - Brian Flanagan

Is there no way to get this real time?
This was working in a previous version!

| used to at least be able to list local files. Why can't | now? (See 2nd example with DFO in the filesystem folder.)

I

/I This works. Files saved by ALL applications go here (in the web browser cache).
/ Is there a way to separate this by application?

I

Dir$ = "application:"

Dir

Wait Key

1

/I This used to work, but it doesn't any more. (No error is produced, but neither is a file list.)
1

Dir$ = "DF0:"

Dir

Wait Key

#5 - 04/13/2021 06:57 PM - Brian Flanagan

- Subject changed from Dir$ not working properly with AOZ Resource drive. (only works patrtially) to Dir$ not working properly with AOZ Resource
drive (or any other assigned drive in the application's resources/filesystem folder). (only works partially)

Re-tested this in 1.0.0 B7. Apparently it has been fixed!
A local assign in the application's resources\filesystem folder is working again.

DFO: works again!
